import { ThunkAction, Action } from '@reduxjs/toolkit';
export declare const store: import("@reduxjs/toolkit").EnhancedStore<{
    room: {
        routerState: import("./roomSlice").MediaStates;
        producersState: import("./roomSlice").MediaStates;
        roomDisplayTitleState: import("./roomSlice").MediaStates;
        socketState: import("./roomSlice").RoomSocketState;
        chatMessages: import("../types/APITypes").ChatMessage[];
        polls: {
            [pollId: string]: import("../types/APITypes").Poll;
        };
        joined: boolean;
        legacyMode: boolean;
        roomDisplayTitle: string;
        activeSpeakerPeerId: string;
        roomUUID: string;
        startedAt: string;
        maxPreferredStreams: number;
        roomNodeLink: string;
        waitingState: import("./roomSlice").WaitingState;
        waitlistedPeers: {
            id: string;
            name: string;
        }[];
        password: string;
        roomName: string;
        gridView: string;
        gridViewSaved: string;
        pinnedPeerId: string;
        kicked: boolean;
        presetFetched: boolean;
        showSetupScreen: boolean;
        screenShareRequested: boolean;
        currentPage: number;
        roomViewType: import("../utils/dyte-utils/src").DyteViewTypes;
        requestToJoinPeersList: {
            id: string;
            name: string;
            seen: boolean;
            requestToJoinType: "REQUEST_TO_PRESENT" | "REQUEST_TO_ASK";
        }[];
    };
    peers: {
        joinedPeers: import("./peersSlice").MediaPeer[];
        recordingPeer: import("./peersSlice").MediaPeer;
        currentPagePeerIds: string[];
        activeSpeakerPagePeerIds: string[];
    };
    participant: import("./participantSlice").Participant;
    plugin: import("./pluginSlice").PluginState;
    consumers: {
        activeConsumers: import("./consumersSlice").MediaConsumer[];
        closedConsumers: string[];
        videoTransforms: any;
    };
    producers: {
        activeProducers: import("./producerSlice").MediaProducer[];
    };
}, import("redux").AnyAction, [import("redux-thunk").ThunkMiddleware<{
    room: {
        routerState: import("./roomSlice").MediaStates;
        producersState: import("./roomSlice").MediaStates;
        roomDisplayTitleState: import("./roomSlice").MediaStates;
        socketState: import("./roomSlice").RoomSocketState;
        chatMessages: import("../types/APITypes").ChatMessage[];
        polls: {
            [pollId: string]: import("../types/APITypes").Poll;
        };
        joined: boolean;
        legacyMode: boolean;
        roomDisplayTitle: string;
        activeSpeakerPeerId: string;
        roomUUID: string;
        startedAt: string;
        maxPreferredStreams: number;
        roomNodeLink: string;
        waitingState: import("./roomSlice").WaitingState;
        waitlistedPeers: {
            id: string;
            name: string;
        }[];
        password: string;
        roomName: string;
        gridView: string;
        gridViewSaved: string;
        pinnedPeerId: string;
        kicked: boolean;
        presetFetched: boolean;
        showSetupScreen: boolean;
        screenShareRequested: boolean;
        currentPage: number;
        roomViewType: import("../utils/dyte-utils/src").DyteViewTypes;
        requestToJoinPeersList: {
            id: string;
            name: string;
            seen: boolean;
            requestToJoinType: "REQUEST_TO_PRESENT" | "REQUEST_TO_ASK";
        }[];
    };
    peers: {
        joinedPeers: import("./peersSlice").MediaPeer[];
        recordingPeer: import("./peersSlice").MediaPeer;
        currentPagePeerIds: string[];
        activeSpeakerPagePeerIds: string[];
    };
    participant: import("./participantSlice").Participant;
    plugin: import("./pluginSlice").PluginState;
    consumers: {
        activeConsumers: import("./consumersSlice").MediaConsumer[];
        closedConsumers: string[];
        videoTransforms: any;
    };
    producers: {
        activeProducers: import("./producerSlice").MediaProducer[];
    };
}, import("redux").AnyAction, null> | import("redux-thunk").ThunkMiddleware<{
    room: {
        routerState: import("./roomSlice").MediaStates;
        producersState: import("./roomSlice").MediaStates;
        roomDisplayTitleState: import("./roomSlice").MediaStates;
        socketState: import("./roomSlice").RoomSocketState;
        chatMessages: import("../types/APITypes").ChatMessage[];
        polls: {
            [pollId: string]: import("../types/APITypes").Poll;
        };
        joined: boolean;
        legacyMode: boolean;
        roomDisplayTitle: string;
        activeSpeakerPeerId: string;
        roomUUID: string;
        startedAt: string;
        maxPreferredStreams: number;
        roomNodeLink: string;
        waitingState: import("./roomSlice").WaitingState;
        waitlistedPeers: {
            id: string;
            name: string;
        }[];
        password: string;
        roomName: string;
        gridView: string;
        gridViewSaved: string;
        pinnedPeerId: string;
        kicked: boolean;
        presetFetched: boolean;
        showSetupScreen: boolean;
        screenShareRequested: boolean;
        currentPage: number;
        roomViewType: import("../utils/dyte-utils/src").DyteViewTypes;
        requestToJoinPeersList: {
            id: string;
            name: string;
            seen: boolean;
            requestToJoinType: "REQUEST_TO_PRESENT" | "REQUEST_TO_ASK";
        }[];
    };
    peers: {
        joinedPeers: import("./peersSlice").MediaPeer[];
        recordingPeer: import("./peersSlice").MediaPeer;
        currentPagePeerIds: string[];
        activeSpeakerPagePeerIds: string[];
    };
    participant: import("./participantSlice").Participant;
    plugin: import("./pluginSlice").PluginState;
    consumers: {
        activeConsumers: import("./consumersSlice").MediaConsumer[];
        closedConsumers: string[];
        videoTransforms: any;
    };
    producers: {
        activeProducers: import("./producerSlice").MediaProducer[];
    };
}, import("redux").AnyAction, undefined>]>;
export declare type RootState = ReturnType<typeof store.getState>;
export declare type AppThunk<ReturnType = void> = ThunkAction<ReturnType, RootState, unknown, Action<string>>;
